# TODO:
# - Package icu-sword and add bcond for it here
#
# Conditional build:
#%bcond_with	icusword
%bcond_without	clucene
%bcond_without	curl
%bcond_without	icu
%bcond_without	utilities

%define debug_package 0

Summary:	The SWORD Project framework for manipulating Bible texts
Name:		sword
Version:	1.7.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://www.crosswire.org/ftpmirror/pub/sword/source/v1.7/%{name}-%{version}.tar.gz
# Source0-md5:	bd2ffadaa9f92f7b6e657e323e27a028
Patch0:		%{name}-curl.patch
URL:		http://www.crosswire.org/sword
BuildRequires:	pakchois-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
%{?with_clucene:BuildRequires:	clucene-core-devel}
%{?with_clucene:Requires:	clucene-core}
%{?with_curl:BuildRequires:	curl-devel}
%{?with_curl:Requires:	curl}
%{?with_icu:BuildRequires:	icu}
%{?with_icu:BuildRequires:	libicu-devel}
%{?with_icu:Requires:	icu}
#%{?with_icusword:BuildRequires:	icu-sword}
#%{?with_icusword:Requires:	icu-sword}
Requires:	wwwbrowser
Requires:	zlib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SWORD Project creats cross-platform open-source tools that allow
programmers and Bible societies to write new Bible software more
quickly and easily. The SWORD Bible Framework allows easy manipulation
of Bible texts, commentaries, lexicons, dictionaries, etc. Many
frontends are built using this framework. An installed module set may
be shared between any frontend using the framework.

%package utilities
Summary:	Utility programs that use the sword libraries
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Provides:	diatheke

%description utilities
Utility programs that use the sword libraries.

%package devel
Summary:	Include files for developing sword applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.10.5
Requires:	zlib-devel

%description devel
Include files for developing sword applications.
This package is required to compile Sword frontends, too.

%package static
Summary:	Static libraries for developing sword applications
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for developing sword applications.

%prep
%setup -q
%if %{with_curl}
%patch0 -p0
%endif

%build
%{configure} \
	--with-conf \
	--with%{!?with_clucene:out}-clucene \
	--with%{!?with_curl:out}-curl \
	--with%{!?with_icu:out}-icu \
	--disable-debug \
	--disable-dependency-tracking \
	--disable-examples \
	--disable-tests \
	--%{?with_utilities:en}%{!?with_utilities:dis}able-utilities \
	#--with%{!?with_icusword:out}-icusword \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-strip \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install_config \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsword.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS INSTALL
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sword.conf
%dir %{_datadir}/sword
%dir %{_datadir}/sword/mods.d
%dir %{_datadir}/sword/locales.d
%{_datadir}/sword/mods.d/globals.conf
%{_datadir}/sword/locales.d/*.conf
%attr(755,root,root) %{_libdir}/libsword-%{version}.so

%files utilities
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%files devel
%defattr(644,root,root,755)
%doc doc/*
%{_pkgconfigdir}/sword.pc
%{_includedir}/sword
%attr(755,root,root) %{_libdir}/libsword.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libsword.a
%changelog
* Sat Dec 06 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sword.git;a=log;h=master

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 4211460
- updated to 1.7.3
- xulrunner deps removed, there is no reference to it in source
- cleaned up spec

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ca08c35
- release 12 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9809023
- release 11 (by relup.sh)

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 61b1ebf
- release 10 (by relup.sh)

* Wed Nov 21 2012 Jan Rękorajski <baggins@pld-linux.org> 44e0ecb
- release 9 (by relup.sh)

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b82dc9
- release 8 (by relup.sh)

* Fri Aug 10 2012 Jan Rękorajski <baggins@pld-linux.org> a8e5c9f
- Fix building with gcc 4.7 and new clucene
Release 7

* Fri Dec 02 2011 Caleb Maclennan <caleb@alerque.com> b4a0907
- Adapterized, updated description

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 51a0367
- release 6

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ac19ea
- release 5

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> ea49ad8
- release 4

* Wed Jun 22 2011 Caleb Maclennan <caleb@alerque.com> f83c9fd
- BR: pakchois-devel, sqlite3-devel

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d54684a
- release 3

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 576c2a5
- release 2

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> e937b4c
- bconds should be the very first thing, moved defines and includes after them

* Sat Oct 23 2010 Caleb Maclennan <caleb@alerque.com> 21c6568
- Up to 1.6.2

* Thu Jun 03 2010 Caleb Maclennan <caleb@alerque.com> 0d9362b
- Rel 1, STBR

* Thu Jun 03 2010 Caleb Maclennan <caleb@alerque.com> 0879d3a
- R: xulrunner, BR: xulrunner-devel. Versions less than 1.9.2.3 sometimes render blank screens.

* Thu Jun 03 2010 Caleb Maclennan <caleb@alerque.com> 20289b0
- Disable tests and examples, not installed anyway.

* Sat May 22 2010 Caleb Maclennan <caleb@alerque.com> 8f244d3
- BR: libicu-devel

